Page MenuHomePhabricator

Log/delete items: Use new Flow format (topic title on board name)
Closed, ResolvedPublic

Description


Trello card: dwm3Jl2k

  • column: Send to Phabricator - Collaboration-Team board

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.25wmf20Logger should log post id, not revision id
mediawiki/extensions/Flow : masterLogger should log post id, not revision id
mediawiki/extensions/Flow : wmf/1.25wmf19Logger should log post id, not revision id
mediawiki/extensions/Flow : masterBatchload logging data
mediawiki/extensions/Flow : masterUse new Flow format (topic title on board name) for log entries

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 2:06 AM

I think this is fixed. If not, re-open.

Mattflaschen-WMF closed this task as Resolved.Feb 20 2015, 7:17 PM
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF reopened this task as Open.Feb 21 2015, 4:05 AM

Not quite. E.g.:

03:52, 21 February 2015 Admin (Talk | contribs) deleted a post on Topic:Sc74aet4uq42fd4y (Test moderation logging)

("post" and "Topic:Sc74aet4uq42fd4y" are linked), but it doesn't say the board anywhere, nor the topic title.

EBernhardson triaged this task as High priority.Feb 23 2015, 6:46 PM
EBernhardson added a subscriber: EBernhardson.

Change 192554 had a related patch set uploaded (by Matthias Mullie):
Logger should log post id, not revision id

https://gerrit.wikimedia.org/r/192554

Patch-For-Review

Change 192555 had a related patch set uploaded (by Matthias Mullie):
Use new Flow format (topic title on board name) for log entries

https://gerrit.wikimedia.org/r/192555

Patch-For-Review

Change 192556 had a related patch set uploaded (by Matthias Mullie):
Batchload logging data

https://gerrit.wikimedia.org/r/192556

Patch-For-Review

Change 192554 merged by jenkins-bot:
Logger should log post id, not revision id

https://gerrit.wikimedia.org/r/192554

Change 192555 merged by jenkins-bot:
Use new Flow format (topic title on board name) for log entries

https://gerrit.wikimedia.org/r/192555

Change 192556 merged by jenkins-bot:
Batchload logging data

https://gerrit.wikimedia.org/r/192556

Change 194719 had a related patch set uploaded (by Mattflaschen):
Logger should log post id, not revision id

https://gerrit.wikimedia.org/r/194719

Change 194719 merged by jenkins-bot:
Logger should log post id, not revision id

https://gerrit.wikimedia.org/r/194719

Change 194728 had a related patch set uploaded (by Mattflaschen):
Logger should log post id, not revision id

https://gerrit.wikimedia.org/r/194728

Change 194728 merged by jenkins-bot:
Logger should log post id, not revision id

https://gerrit.wikimedia.org/r/194728

I'm looking at http://en.wikipedia.beta.wmflabs.org/wiki/Special:Log/Delete

Is that the right place to review this change?

http://en.wikipedia.beta.wmflabs.org/wiki/Special:Log/delete is (lower-case d).

If you don't see any "deleted a post", you might want to do one (it works fine, just doesn't look like it's done in Selenium, so might not immediately be at the top of the log).

DannyH closed this task as Resolved.Mar 11 2015, 10:01 PM